
# EXTERNAL OSCILLATOR
set_property IOSTANDARD LVCMOS18 [get_ports clk125]
set_property PACKAGE_PIN AP29    [get_ports clk125]

# KH comment for tcds only version ...
# LEGACY TTC - DATA
set_property IOSTANDARD DIFF_HSTL_I_18 [get_ports ttc_rx_n]
set_property IOSTANDARD DIFF_HSTL_I_18 [get_ports ttc_rx_p]
set_property PACKAGE_PIN AY10          [get_ports ttc_rx_n]
set_property PACKAGE_PIN AY11          [get_ports ttc_rx_p]


# TCDS2 INTERFACE
# Bank 128, channel 2, refclk0
set_property PACKAGE_PIN AD32 [get_ports tcds_clk_p]
# set_property PACKAGE_PIN AK41 [get_ports tcds_rx_p]
set_property PACKAGE_PIN AG34 [get_ports tcds_tx_p]

set_property LOC GTYE4_COMMON_X0Y1 [get_cells ttc/gen_master_tcds2.tcds2/mgt/if_usp_gty.if_10g.mgt/inst/gen_gtwizard_gtye4_top.gtye4_slave_timing_gtwizard_gtye4_inst/gen_gtwizard_gtye4.gen_common.gen_common_container[1].gen_enabled_common.gtye4_common_wrapper_inst/common_inst/gtye4_common_gen.GTYE4_COMMON_PRIM_INST]
set_property LOC GTYE4_CHANNEL_X0Y6 [get_cells ttc/gen_master_tcds2.tcds2/mgt/if_usp_gty.if_10g.mgt/inst/gen_gtwizard_gtye4_top.gtye4_slave_timing_gtwizard_gtye4_inst/gen_gtwizard_gtye4.gen_channel_container[1].gen_enabled_channel.gtye4_channel_wrapper_inst/channel_inst/gtye4_channel_gen.gen_gtye4_channel_inst[0].GTYE4_CHANNEL_PRIM_INST]


# HEARTBEAT LED
set_property IOSTANDARD  LVCMOS18 [get_ports heartbeat_led]
set_property PACKAGE_PIN AM23     [get_ports heartbeat_led]


# MGT REF CLOCKS - ASYNC
# Bank 225 refclk0 (interposer: MGT_CLK_09)
set_property PACKAGE_PIN AJ12 [get_ports {refclkp[0]}]
# Bank 227 refclk1 (interposer: MGT_CLK_11)
set_property PACKAGE_PIN AD10 [get_ports {refclkp[1]}]
# Bank 230 refclk1 (interposer: MGT_CLK_13)
set_property PACKAGE_PIN V10  [get_ports {refclkp[2]}]
# Bank 233 refclk1 (interposer: MGT_CLK_15)
set_property PACKAGE_PIN M10  [get_ports {refclkp[3]}]
# KH using for 10g eth ...
# Bank 133 refclk1 (interposer: MGT_CLK_01)
#set_property PACKAGE_PIN N30  [get_ports {refclkp[4]}]
# Bank 130 refclk1 (interposer: MGT_CLK_03)
set_property PACKAGE_PIN W30  [get_ports {refclkp[5]}]
# # Bank 128 refclk1 (interposer: MGT_CLK_05)  -- Now used for TCDS2 (via QSFP)
# set_property PACKAGE_PIN AC30 [get_ports {refclkp[6]}]
# BAnk 127 refclk1 (interposer: MGT_CLK_07)
set_property PACKAGE_PIN AE30 [get_ports {refclkp[6]}]


# MGT REF CLOCKS - SYNC
# Bank 224 refclk1 (interposer: MGT_CLK_08)
set_property PACKAGE_PIN AK10 [get_ports {refclkp[7]}]
# Bank 227 refclk0 (interposer: MGT_CLK_10)
set_property PACKAGE_PIN AE12 [get_ports {refclkp[8]}]
# Bank 230 refclk0 (interposer: MGT_CLK_12)
set_property PACKAGE_PIN W12  [get_ports {refclkp[9]}]
# Bank 233 refclk0 (interposer: MGT_CLK_14)
set_property PACKAGE_PIN N12  [get_ports {refclkp[10]}]
# Bank 133 refclk0 (interposer: MGT_CLK_00)
set_property PACKAGE_PIN P32  [get_ports {refclkp[11]}]
# Bank 130 refclk0 (interposer: MGT_CLK_02)
set_property PACKAGE_PIN Y32  [get_ports {refclkp[12]}]
# # Bank 128 refclk0 (interposer: MGT_CLK_04)  -- Quad now used for TCDS2 (via QSFP)
# set_property PACKAGE_PIN AD32 [get_ports {refclkp[13]}]
# Bank 127 refclk0 (interposer: MGT_CLK_06)
set_property PACKAGE_PIN AG30 [get_ports {refclkp[13]}]
