-- Address decode logic for ipbus fabric
--
-- This file has been AUTOGENERATED from the address table - do not hand edit
--
-- We assume the synthesis tool is clever enough to recognise exclusive conditions
-- in the if statement.
--
-- Dave Newbold, February 2011

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use ieee.numeric_std.all;

package ipbus_decode_link_aggregator is

  constant IPBUS_SEL_WIDTH: positive := 3;
  subtype ipbus_sel_t is std_logic_vector(IPBUS_SEL_WIDTH - 1 downto 0);
  function ipbus_sel_link_aggregator(addr : in std_logic_vector(31 downto 0)) return ipbus_sel_t;

-- START automatically generated VHDL (Mon Oct  3 13:33:10 2022)
  constant N_SLV_CHAN_SEL: integer := 0;
  constant N_SLV_CONTROL: integer := 1;
  constant N_SLV_RATE_MONITORING: integer := 2;
  constant N_SLV_MONITORING: integer := 3;
  constant N_SLAVES: integer := 4;
-- END automatically generated VHDL


end ipbus_decode_link_aggregator;

package body ipbus_decode_link_aggregator is

  function ipbus_sel_link_aggregator(addr : in std_logic_vector(31 downto 0)) return ipbus_sel_t is
    variable sel: ipbus_sel_t;
  begin

-- START automatically generated VHDL (Mon Oct  3 13:33:10 2022)
    if    std_match(addr, "----------------------------00-0") then
      sel := ipbus_sel_t(to_unsigned(N_SLV_CHAN_SEL, IPBUS_SEL_WIDTH)); -- chan_sel / base 0x00000000 / mask 0x0000000d
    elsif std_match(addr, "----------------------------00-1") then
      sel := ipbus_sel_t(to_unsigned(N_SLV_CONTROL, IPBUS_SEL_WIDTH)); -- control / base 0x00000001 / mask 0x0000000d
    elsif std_match(addr, "----------------------------01--") then
      sel := ipbus_sel_t(to_unsigned(N_SLV_RATE_MONITORING, IPBUS_SEL_WIDTH)); -- rate_monitoring / base 0x00000004 / mask 0x0000000c
    elsif std_match(addr, "----------------------------1---") then
      sel := ipbus_sel_t(to_unsigned(N_SLV_MONITORING, IPBUS_SEL_WIDTH)); -- monitoring / base 0x00000008 / mask 0x00000008
-- END automatically generated VHDL

    else
        sel := ipbus_sel_t(to_unsigned(N_SLAVES, IPBUS_SEL_WIDTH));
    end if;

    return sel;

  end function ipbus_sel_link_aggregator;

end ipbus_decode_link_aggregator;
